Date: Thu, 8 Jan 1998 09:51:56 +0100 (CET)
From: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>
To: Linux/m68k <linux-m68k@lists.linux-m68k.org>
Subject: L68K: Misc Amiga fixes
Sender: owner-linux-m68k@phil.uni-sb.de


Some misc fixes from Andr Heynatz.

diff -u --recursive --exclude-from=/home/geert/diff-excludes-linux --new-file m68k-2.1.72-status/arch/m68k/amiga/config.c m68k-2.1.72/arch/m68k/amiga/config.c
--- m68k-2.1.72-status/arch/m68k/amiga/config.c	Mon Dec 22 21:21:46 1997
+++ m68k-2.1.72/arch/m68k/amiga/config.c	Fri Jan  2 22:31:34 1998
@@ -85,7 +85,9 @@
 void amiga_serial_console_write(struct console *co, const char *s,
 				unsigned int count);
 static void amiga_debug_init(void);
+#ifdef CONFIG_HEARTBEAT
 static void amiga_heartbeat(int on);
+#endif
 
 static struct console amiga_console_driver = {
 	"debug",
@@ -844,12 +846,12 @@
     return ch;
 }
 
-void amiga_serial_gets(char *s, int len)
+void amiga_serial_gets(struct console *co, char *s, int len)
 {
     int ch, cnt = 0;
 
     while (1) {
-	ch = amiga_serial_console_wait_key();
+	ch = amiga_serial_console_wait_key(co);
 
 	/* Check for backspace. */
 	if (ch == 8 || ch == 127) {

Greetings,

						Geert

--
Geert Uytterhoeven                     Geert.Uytterhoeven@cs.kuleuven.ac.be
Wavelets, Linux/{m68k~Amiga,PPC~CHRP}  http://www.cs.kuleuven.ac.be/~geert/
Department of Computer Science -- Katholieke Universiteit Leuven -- Belgium

